6.0.0-git
2021-01-18

[#1143] _rfc822Encode() incorrectly escapes names surrounded by quotes
Summary _rfc822Encode() incorrectly escapes names surrounded by quotes
Queue Horde Base
Queue Version 3.0.2
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester imp (at) mavetju (dot) org
Created 2005-01-13 (5849 days ago)
Due
Updated 2005-01-17 (5845 days ago)
Assigned 2005-01-13 (5849 days ago)
Resolved 2005-01-15 (5847 days ago)
Milestone
Patch No

History
2005-01-17 23:48:34 imp (at) mavetju (dot) org Comment #3 Reply to this comment
thank you!
2005-01-15 05:14:58 Chuck Hagenbuch Comment #2
State ⇒ Resolved
Reply to this comment
fixed in HEAD and FRAMEWORK_3.
2005-01-13 11:08:58 Jan Schneider State ⇒ Assigned
Assigned to Horde DevelopersHorde Developers
 
2005-01-13 10:56:39 imp (at) mavetju (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ _rfc822Encode() incorrectly escapes names surrounded by quotes
Queue ⇒ Horde Base
Reply to this comment
See also http://bugs.horde.org/ticket/?id=292, which solved it for IMP 3.x



The function _rfc822Encode() (horde/lib/Horde/MIME.php) incorrectly 
escapes strings which are surrounded by quotes. This happens when the 
c-client returns literal strings which contain quotes around the name.



The solution is the same as the patch in ticket #292, only in 
horde/lib/Horde/MIME.php at line 698 this time.



Feel free to contact me for more information.


Saved Queries